Name: pari
%define vermajor 2.3
Version: %vermajor.0
Release: alt1

Summary: computer algebra system for fast computations in number theory
License: GPL
Group: Sciences/Mathematics
Url: http://pari.math.u-bordeaux.fr/

Source0: %url/pub/pari/unix/%name-%version.tar.gz
Source1: %name.menu
Patch0: %name-2.2.9.alpha-alt-doc.patch
Patch1: %name-2.2.11.alpha-alt-makefile.patch
Patch2: %name-2.3.0-alt-textrel.patch
Patch3: %name-2.3.0-alt-runpath.patch

BuildPreReq: tetex-dvips emacs libgmp-devel libncurses-devel

# Automatically added by buildreq on Fri Mar 04 2005
BuildRequires: libreadline-devel xorg-x11-devel xorg-x11-libs

%description
PARI/GP is a widely used computer algebra system designed 
for fast computations in number theory (factorizations, 
algebraic number theory, elliptic curves...). It also contains
a large number of other useful functions to compute 
with mathematical entities such as matrices, polynomials,
power series, algebraic numbers etc., and a lot of 
transcendental functions.

%package -n lib%name
Summary: library for fast computations in number theory
Group: Sciences/Mathematics

%description -n lib%name
PARI is a library for fast computations in number theory (factorizations,
algebraic number theory, elliptic curves...). It also contains a large
number of other useful functions to compute with mathematical entities
such as matrices, polynomials, power series, algebraic numbers etc., and
a lot of transcendental functions.

lib%name is part of the computer algebra system PARI/GP.

%package -n lib%name-devel
Summary: libpari header files
Group: Sciences/Mathematics
Requires: lib%name = %version-%release, libgmp-devel

%description -n lib%name-devel
PARI/GP is a widely used computer algebra system
designed for fast computations in number theory.

Install this package if you need to develop applications
in C or C++ that use libpari.

%package doc
Summary: Pari/GP documentation
Group: Sciences/Mathematics

%description doc
PARI/GP is a widely used computer algebra system
designed for fast computations in number theory.

Install this package if you need documentation on PARI/GP
and examples of its usage.

%package -n emacs-%name
Summary: emacs mode for Pari, a computer algebra system
Group: Editors
Requires: emacs-base pari

%description -n emacs-%name
PARI/GP is a widely used computer algebra system
designed for fast computations in number theory.

This package contains an emacs mode for Pari.

%prep
%setup
%patch0 -p1
%patch1 -p1
%patch2 -p1
%patch3 -p1

%build
./Configure --with-gmp --prefix=%_prefix #--kernel=none
%make gp

%install
%make_install DESTDIR=%buildroot install
%__rm -rf %buildroot/%_datadir/%name/%name.desc
%__rm -rf %buildroot/%_datadir/%name/PARI

%__install -m 755 -d %buildroot/%_menudir
%__install -m 644 %SOURCE1 %buildroot/%_menudir/%name

%__mkdir_p %buildroot/%_liconsdir
%__install -m 644 misc/%name.xpm %buildroot/%_liconsdir/%name.xpm

%post
%update_menus

%postun
%clean_menus

%post -n lib%name
%post_ldconfig

%postun -n lib%name
%postun_ldconfig

%files
%_bindir/gp
%_bindir/gp-%vermajor
%_bindir/gphelp
%_bindir/tex2mail
%_man1dir/*
%_liconsdir/%name.xpm
%_menudir/%name
%dir %_datadir/%name
%_datadir/%name/misc/

%files -n lib%name
%_libdir/lib%name-*.so.*

%files -n lib%name-devel
%_libdir/lib%name.so
%dir %_includedir/%name/
%_includedir/%name/*.h
%dir %_libdir/%name/
%_libdir/%name/%name.cfg

%files doc
%dir %_datadir/%name
%doc %_datadir/%name/doc/
%doc %_datadir/%name/examples/

%files -n emacs-%name
%_emacslispdir/%name

%changelog
* Tue May 23 2006 Alex V. Myltsev <avm@altlinux.ru> 2.3.0-alt1
- 2.3. This is a stable version of Pari.
- soname change.

* Wed May 03 2006 Alex V. Myltsev <avm@altlinux.ru> 2.2.13-alt1.beta
- New version: memory allocation cleanups, misc. bug fixes.

* Tue Jan 24 2006 Alex V. Myltsev <avm@altlinux.ru> 2.2.12-alt1.beta
- 2.2.12. Pari 2.2 is now in beta phase.

* Thu Oct 20 2005 Alex V. Myltsev <avm@altlinux.ru> 2.2.11-alt1.alpha
- 2.2.11 (bug fixes).
- emacs-pari is now packaged

* Mon Oct 03 2005 Alex V. Myltsev <avm@altlinux.ru> 2.2.10.alpha-alt2
- fixed textrel and runpath
- the assembler kernel is now disabled

* Sun Apr 24 2005 Alex V. Myltsev <avm@altlinux.ru> 2.2.10.alpha-alt1
- version 2.2.10.alpha

* Sat Mar 05 2005 Alex V. Myltsev <avm@altlinux.ru> 2.2.9.alpha-alt1
- ALT adaptation.

